include ./pessoa-fisica
include ./pessoa-juridica
include ./contato
include ./endereco

.panel.panel-default(name='empreendedor')
	.panel-heading
		h4.panel-title Empreendedor
	.panel-body
		div(ng-if="$ctrl.empreendimento.empreendimentoEU.empreendedor.pessoa.cpf")
			+pessoa-fisica('$ctrl.empreendimento.empreendimentoEU.empreendedor.pessoa')

		div(ng-if="$ctrl.empreendimento.empreendimentoEU.empreendedor.pessoa.cnpj")
			+pessoa-juridica('$ctrl.empreendimento.empreendimentoEU.empreendedor.pessoa')(modelEsfera="$ctrl.empreendimento.empreendedor.esfera")

		+contato('$ctrl.empreendimento.empreendimentoEU.empreendedor.pessoa.contatos')

		+endereco('$ctrl.empreendimento.empreendimentoEU.empreendedor.pessoa.enderecos.principal', `"Endereço do empreendedor:"`)

		+endereco('$ctrl.empreendimento.empreendimentoEU.empreendedor.pessoa.enderecos.correspondencia', `"Endereço de correspondência:"`)

		div.row(ng-if="$ctrl.empreendimento.localizacao === 'ZONA_RURAL'")
			label.col-md-2.text-right CAR vinculado:
			span.col-md-10  {{$ctrl.empreendimento.imovel.codigo + " - " + $ctrl.empreendimento.imovel.nome + " - " + $ctrl.empreendimento.imovel.municipio.nome + " / " + $ctrl.empreendimento.imovel.municipio.estado.nome}}

.panel.panel-default(name='proprietarios')
	.panel-heading
		h4.panel-title Proprietários
	div.info-sem-dados-para-exibir(ng-if="$ctrl.empreendimento.empreendimentoEU.proprietarios.length < 1 ")
		i Não existem proprietários	
	.panel-body(ng-if="$ctrl.empreendimento.empreendimentoEU.proprietarios.length > 0")
		div.row
			div.col-md-12
				table.table.table-striped
					thead
						tr
							th CPF
							th Nome
							th Data de Nascimento
							th RG
					tbody
						tr(ng-repeat="proprietario in $ctrl.empreendimento.empreendimentoEU.proprietarios")
							td {{proprietario.cpf | brCpfCnpj}}
							td {{proprietario.nome}}
							td {{proprietario.dataNascimento | date :  'dd/MM/yyyy'}}
							td {{proprietario.rg || '-' }}

.panel.panel-default(name='representantesLegais')
	.panel-heading
		h4.panel-title Representantes legais
	div.info-sem-dados-para-exibir(ng-if="$ctrl.empreendimento.empreendimentoEU.representantesLegais.length < 1")
		i Não existem representantes legais
	.panel-body(ng-if="$ctrl.empreendimento.empreendimentoEU.representantesLegais.length > 0")
		div.row
			div.col-md-12
				table.table.table-striped
					thead
						tr
							th CPF
							th Nome
							th Data da vinculação
							th Email
					tbody
					tr(ng-repeat="representante in $ctrl.empreendimento.empreendimentoEU.representantesLegais")
						td {{representante.cpf | brCpfCnpj}}
						td {{representante.nome}}
						td {{representante.dataVinculacao || '-'}}
						td {{representante.contato.email || '-' }}

.panel.panel-default(name='empreendimento')
	.panel-heading
		h4.panel-title Empreendimento
	.panel-body
		div(ng-if="$ctrl.empreendimento.empreendimentoEU.pessoa.cpf")
			+pessoa-fisica('$ctrl.empreendimento.empreendimentoEU.pessoa')

		div(ng-if="$ctrl.empreendimento.empreendimentoEU.pessoa.cnpj")
			+pessoa-juridica('$ctrl.empreendimento.empreendimentoEU.pessoa', true)

		div.row
			div.col-md-12
				div.row
					label.col-md-2.text-right Denominação do empreendimento:
					span.col-md-10 {{$ctrl.empreendimento.empreendimentoEU.denominacao}}

		div.row.form-group
			div.col-md-6
				div.row
					label.col-md-4.text-right Jurisdição do empreendimento:
					span.col-md-8  {{$ctrl.empreendimento.jurisdicao}}

			div.col-md-6
				div.row
					label.col-md-4.text-right Município/UF do empreendimento:
					span.col-md-8 {{$ctrl.empreendimento.municipio.nome}}/{{$ctrl.empreendimento.municipio.estado.codigo}}

		+contato('$ctrl.empreendimento.empreendimentoEU.contatos')

		+endereco('$ctrl.empreendimento.empreendimentoEU.enderecos.principal', `"Endereço:"`)

		div.row
			label.col-md-2.text-right Localização do empreendimento:
			span.col-md-10  {{$ctrl.empreendimento.localizacao === 'ZONA_URBANA' ? 'Zona urbana' : 'Zona rural'}}

		div.row(ng-if="$ctrl.empreendimento.localizacao === 'ZONA_RURAL'")
			label.col-md-2.text-right CAR vinculado:
			span.col-md-10  {{$ctrl.empreendimento.imovel.codigo + " - " + $ctrl.empreendimento.imovel.nome + " - " + $ctrl.empreendimento.imovel.municipio.nome + " / " + $ctrl.empreendimento.imovel.municipio.estado.nome}}


.panel.panel-default(name='responsaveis')
	.panel-heading
		h4.panel-title Responsáveis técnicos e legais
	div.info-sem-dados-para-exibir(ng-if="$ctrl.empreendimento.empreendimentoEU.responsaveis.length < 1")
		i Não existem responsáveis técnicos e legais
	.panel-body(ng-if="$ctrl.empreendimento.empreendimentoEU.responsaveis.length > 0")
		div.row
			div.col-md-12
				table.table.table-striped
					thead
						tr
							th
							th CPF
							th Nome completo
							th E-mail
							th Celular
					tbody
						tr(ng-repeat="responsavel in $ctrl.empreendimento.empreendimentoEU.responsaveis")
							td
								span.icone-responsavel-tecnico.legal(ng-show="responsavel.tipo === 'LEGAL'", title="Responsável legal")
								span.icone-responsavel-tecnico.tecnico(ng-show="responsavel.tipo === 'TECNICO'", title="Responsável técnico")
							td {{responsavel.cpf | brCpfCnpj}}
							td {{responsavel.nome}}
							td {{responsavel.contato.email || ' - '}}
							td {{(responsavel.contato.celular.deixarSomenteNumeros() | brPhoneNumber) || ' - '}}